package cn.com.ty.lift.enterprise.region.service;

import cn.com.ty.lift.enterprise.region.dao.entity.Region;
import cn.com.ty.lift.enterprise.region.dao.entity.model.RegionRequest;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 区域表 服务类
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-09
 */
public interface RegionService extends IService<Region> {

    RestResponse regions(RegionRequest regionRequest);

    RestResponse delete(Region region);

    RestResponse projectRegions(Region region);

    RestResponse selectRegionUser(Region region);

    List<Map<String, Object>> areas(String cityCode);

    void push(String areaName, String oldUser, String newUser, Region byId, Region region);

    RestResponse updateByRegionId(Region region);
}
